package blink.events;

#if flash
typedef Event = flash.events.Event;
#else true

class Event
{
   public var bubbles(default,null) : Bool;
   public var cancelable(default,null) : Bool;
   public var currentTarget(default,null) : Dynamic;
   public var eventPhase(default,null) : Int;
   public var target(default,null) : Dynamic;
   public var type(default,null) : String;

   public function new(inType : String, ?inBubbles : Bool,
        ?inCancelable : Bool)
   {
      type = inType;
      bubbles = inBubbles==null ? false : inBubbles;
      cancelable = inCancelable==null ? false : inCancelable;
   }

   public function clone() : Event
   {
      return new Event(type,bubbles,cancelable);
   }



   public static var ACTIVATE = "ACTIVATE";
   public static var ADDED = "ADDED";
   public static var ADDED_TO_STAGE = "ADDED_TO_STAGE";
   public static var CANCEL = "CANCEL";
   public static var CHANGE = "CHANGE";
   public static var CLOSE = "CLOSE";
   public static var COMPLETE = "COMPLETE";
   public static var CONNECT = "CONNECT";
   public static var DEACTIVATE = "DEACTIVATE";
   public static var ENTER_FRAME = "ENTER_FRAME";
   public static var ID3 = "ID3";
   public static var INIT = "INIT";
   public static var MOUSE_LEAVE = "MOUSE_LEAVE";
   public static var OPEN = "OPEN";
   public static var REMOVED = "";
   public static var REMOVED_FROM_STAGE = "REMOVED_FROM_STAGE";
   public static var RENDER = "RENDER";
   public static var RESIZE = "RESIZE";
   public static var SCROLL = "SCROLL";
   public static var SELECT = "SELECT";
   public static var SOUND_COMPLETE = "SOUND_COMPLETE";
   public static var TAB_CHILDREN_CHANGE = "TAB_CHILDREN_CHANGE";
   public static var TAB_ENABLED_CHANGE = "TAB_ENABLED_CHANGE";
   public static var TAB_INDEX_CHANGE = "TAB_INDEX_CHANGE";
   public static var UNLOAD = "UNLOAD";

}

#end
